
%if 0%{?fedora} > 16
%global monodir /usr/lib/mono
%else
%global monodir %{_libdir}/mono
%endif

Name:    qyoto 
Summary: .NET/Mono bindings for the Qt libraries 
Version: 4.8.3
Release: 1%{?dist}

# libqyoto LGPLv2+, mono bindings GPLv2+
License: LGPLv2+ and GPLv2+
URL:     http://techbase.kde.org/Development/Languages/Qyoto
#URL:     https://projects.kde.org/projects/kde/kdebindings/csharp/qyoto
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0: http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: cmake
BuildRequires: pkgconfig(mono)
BuildRequires: pkgconfig(phonon)
BuildRequires: pkgconfig(qimageblitz)
BuildRequires: pkgconfig(QtCore) pkgconfig(QtScript) pkgconfig(QtTest) pkgconfig(QtUiTools)
BuildRequires: pkgconfig(QtWebKit) 
BuildRequires: qscintilla-devel
BuildRequires: qwt-devel
BuildRequires: smokeqt-devel >= %{version}
BuildRequires: pkgconfig(sqlite3)

# common name some other distros use
Provides: mono-qt = %{version}-%{release} 

%{?_qt4:Requires: qt4%{?_isa} >= %{_qt4_version}}
Requires: smokeqt%{?_isa} >= %{version}

ExclusiveArch: %{mono_arches}

%description
%{summary}.

%package devel
Summary: Development libraries for %{name} 
Provides: mono-qt-devel = %{version}-%{release}
Requires: %{name}%{_isa} = %{version}-%{release}
%description devel
This package contains development files for the .NET/Mono bindings 
for the Qt libraries.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files 
%doc AUTHORS COPYING README
# LGPLv2+
%{_libdir}/libqyoto.so.2*
# bindings GPLv2+
%{_libdir}/libqtscript-sharp.so
%{_libdir}/libphonon-sharp.so
%{_libdir}/libqttest-sharp.so
%{_libdir}/libqtuitools-sharp.so
%{_libdir}/libqtwebkit-sharp.so
%{_libdir}/libqscintilla-sharp.so
%{monodir}/gac/qt-dotnet/
%{monodir}/gac/qtscript/
%{monodir}/gac/qttest/
%{monodir}/gac/qtuitools/
%{monodir}/gac/qtwebkit/
%{monodir}/gac/phonon/
%{monodir}/gac/qscintilla/
%{monodir}/qyoto/
%dir %{_datadir}/qyoto/
%{_datadir}/qyoto/key.snk

%files devel
%{_bindir}/csrcc
%{_bindir}/uics
%{_includedir}/qyoto/
%{_libdir}/pkgconfig/qyoto.pc
%{_libdir}/pkgconfig/qtwebkit-sharp.pc
%{_libdir}/pkgconfig/qttest-sharp.pc
%{_libdir}/pkgconfig/qtuitools-sharp.pc
%{_libdir}/pkgconfig/qtscript-sharp.pc
%{_libdir}/libqyoto.so
%{_datadir}/qyoto/cmake/


%changelog
* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Wed Feb 08 2012 Dan Horák <dan[at]danny.cz> - 4.8.0-2
- set EclusiveArchs

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Tue Jan 10 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-3
- set %%{monodir} for f17+ differences

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-2
- move lib*-sharp.so to main pkg

* Wed Jan 04 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-1
- 4.7.97
- devel: make %%description shorter
- update URL

* Fri Dec 23 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.95-1
- 4.7.95

* Fri Dec 09 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.90-1
- first try

